> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/feeds/hot-news.md).

# 6.2 Hot News

```
GET /news/hot
```

**Query Parameters**

| Parameter   | Type    | Required | Description                                                                          |
| ----------- | ------- | -------- | ------------------------------------------------------------------------------------ |
| page        | integer | No       | Page number, starting from 1                                                         |
| page\_size  | integer | No       | Items per page, max 100                                                              |
| language    | string  | No       | Response language; defaults to English                                               |
| start\_time | long    | No       | Start time filter (millisecond timestamp). Only the most recent 7 days are supported |
| end\_time   | long    | No       | End time filter (millisecond timestamp). Only the most recent 7 days are supported   |

**Response Example**

```json
{
    "page": 1,
    "page_size": 20,
    "total": 48,
    "list": [
        {
            "id": 123456,
            "source_link": "https://sosovalue.xyz/news/cluster/123456",
            "create_time": 1677151845000,
            "title": "Bitcoin Surges Past $70,000",
            "content": "<p>HTML formatted content...</p>"
        }
    ]
}
```

**Response Fields - list item**

| Field        | Type   | Description                                      |
| ------------ | ------ | ------------------------------------------------ |
| id           | Long   | Hot news cluster ID                              |
| source\_link | String | SoSoValue platform link                          |
| create\_time | Long   | News ingestion time, millisecond timestamp       |
| title        | String | News title (in requested language)               |
| content      | String | News body in HTML format (in requested language) |

**Notes**

* `start_time` / `end_time` only support the most recent 7 days.
